package cn.net.aicare.algorithmutil;

import android.support.annotation.IntDef;
import android.util.Log;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Created by Suzy on 2018/8/7 21:40
 */
public class AlgorithmUtil {

    private static final String TAG = "AlgorithmUtil";

    //Used to load the 'aifit-lib' library on application startup.
    static {
        try {
            System.loadLibrary("algorithm-lib");
        } catch (Exception e) {
            Log.e(TAG, "Not found algorithm lib.");
        }
    }

    @IntDef({AlgorithmType.TYPE_AICARE, AlgorithmType.TYPE_ICOMON})
    @Retention(RetentionPolicy.SOURCE)
    public @interface AlgorithmType {
        int TYPE_AICARE = 0;//品网算法
        int TYPE_ICOMON = 1;//沃莱算法
    }

    /**
     * 获取体脂数据
     *
     * @param algorithmType 算法序列
     * @param sex          性别
     * @param age          年龄
     * @param weight       体重
     * @param height       身高
     * @param adc          阻抗
     * @return 体脂数据
     */
    public static native BodyFatData getBodyFatData(@AlgorithmType int algorithmType, int sex, int age, double weight, int height, int adc);

}
